org.keycloak.models.map.storage.chm

## Class ConcurrentHashMapStorageProvider

- java.lang.Object
- - org.keycloak.models.map.storage.chm.ConcurrentHashMapStorageProvider

- All Implemented Interfaces:
    MapStorageProvider, Provider

      public class ConcurrentHashMapStorageProvider
      extends Object
      implements MapStorageProvider

  Author:
    hmlnarik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentHashMapStorageProvider(ConcurrentHashMapStorageProviderFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<V extends AbstractEntity,M> MapStorage<V,M>` | `getStorage(Class<M> modelType, MapStorageProviderFactory.Flag... flags)` Returns a key-value storage implementation for the given types.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentHashMapStorageProvider

          public ConcurrentHashMapStorageProvider(ConcurrentHashMapStorageProviderFactory factory)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

    - #### getStorage

          public <V extends AbstractEntity,M> MapStorage<V,M> getStorage(Class<M> modelType,
                                                                         MapStorageProviderFactory.Flag... flags)

      Description copied from interface: `MapStorageProvider`
      Returns a key-value storage implementation for the given types.
      Specified by:
        `getStorage` in interface `MapStorageProvider`
      Type Parameters:
        `V` - type of the value
        `M` - type of the corresponding model (e.g. `UserModel`)
      Parameters:
        `modelType` - Model type
        `flags` - Flags of the returned storage. Best effort, flags may be not honored by underlying implementation
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.